Package org.jfree.layouting.input.style.values

## Class CSSStringValue

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSStringValue

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`
  Direct Known Subclasses:
    `CSSFormatedValue`

      public class CSSStringValue
      extends java.lang.Object
      implements CSSValue

  Creation-Date: 23.11.2005, 11:50:28
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSStringValue​(CSSStringType type, java.lang.String value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCSSText​()` |
    `CSSStringType` | `getType​()` |
    `java.lang.String` | `getValue​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSStringValue

          public CSSStringValue​(CSSStringType type,
                                java.lang.String value)

  - ### Method Detail

    - #### getType

          public CSSStringType getType​()

    - #### getValue

          public java.lang.String getValue​()

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`